%define src_ver ore_0_1

Name: ruby-libgtksourceview
Version: 0.2
Release: alt1

Summary: Ruby extension module for gtksourceview-1.0
License: LGPL
Group: Development/Ruby
Url: http://ruby-gnome2.sourceforge.jp

Source: http://prdownloads.sourceforge.net/%name/ruby-gtksourceview-%version.0.tar.gz
#Source: http://prdownloads.sourceforge.net/%name/ruby-gtksourceview-%src_ver.tar.bz2

%define libruby_ver 1.8.1-alt7
%define ruby_stdlibs_ver 1.8.1-alt7

PreReq: ruby-gtk2 >= 0.9.1
AutoReq: yes, noshell

BuildPreReq: ruby

# Automatically added by buildreq on Wed Jun 02 2004
BuildRequires: glib2-devel libart_lgpl-devel libatk-devel libgnomeprint2-devel libgtk+2-devel libgtksourceview-devel libpango-devel libruby-devel libxml2-devel pkgconfig ruby-glib2 ruby-gtk2 ruby-stdlibs

%description
Ruby/GtkSourceView is a Ruby binding of gtksourceview-1.0 (>= 0.2.0)

%prep
%setup -q -n ruby-gtksourceview-%version.0

%build
find . -type d -name 'CVS' | xargs rm -rf
%ruby_configure
%make_build

%install
%make DESTDIR=%buildroot site-install

%files
%ruby_sitearchdir/*.so
%ruby_sitelibdir/*.rb
%doc README ChangeLog sample

%changelog
* Wed Jun 02 2004 Vital Khilko <vk@altlinux.ru> 0.2-alt1
- 0.2

* Wed Apr 14 2004 Vital Khilko <vk@altlinux.ru> 0.1-alt1
- initial build for ALT Linux Sisyphus 

